import { IDatabaseSchema, IDatabaseTable } from "./mysql-database-definition";
import { TableClass } from "./table-class";
export declare class GraphQlBuilder {
    private schema;
    private matcher;
    constructor(schema: IDatabaseSchema);
    private compiledTemplate;
    private readonly mysqlTypes;
    renderTs(table: IDatabaseTable, tableClass: TableClass): string;
    private importTableStatement;
    private toGraphType;
    private buildTypeRow;
}
