import { IDatabaseSchema } from "./mysql-database-definition";
export declare class Cleaner {
    private schema;
    constructor(schema: IDatabaseSchema);
    cleanFromDictionary<T>(item: T | undefined | null, allowedKeys: {
        [key: string]: any;
    }): T | undefined;
    cleanByArray<T>(item: T | undefined | null, allowedKeys: string[]): T | undefined;
    cleanByTableName<T>(item: T | undefined, tableName: string): T | undefined;
}
