import { TableClass } from "./table-class";
import { IDatabaseSchema } from "./mysql-database-definition";
import { SchemaOperator } from "./schema-operator";
export declare class GettersBuilder extends SchemaOperator {
    private typeMap;
    private compiledTemplate;
    private compiledGetTemplate;
    private compailedGetSingularTemplate;
    constructor(model: IDatabaseSchema, typeMap: Map<string, string>);
    render(tables: TableClass[], relativePath?: string): string;
    private renderGetSingularTemplateInput;
    private renderImportRow;
}
