import { IStoredProcedureDictionary } from "./mysql-database-definition";
export default class SpBuilder {
    private procedures;
    private types;
    private compiledTemplate;
    private compiledFunctionTemplate;
    constructor(procedures: IStoredProcedureDictionary, types: {
        [key: string]: string;
    });
    renderTemplate(): string;
    private getMySqlType;
    private toTsParamNotation;
    private renderFunction;
}
